package com.winhc.bigdata.spark.ng.change

/**
 * @author: XuJiakai
 * @date: 2021/6/1 16:46
 */
case class NgChangeExtractArgs(project: String = "winhc_ng"
                               , tableName: String
                               , primaryKey: String = "rowkey"
                               , primaryFields: String = null
                               , newlyRegister: Boolean = false
                              )


object NgChangeExtractArgs {
  val startArgs: Seq[NgChangeExtractArgs] =
    Seq(
      NgChangeExtractArgs(tableName = "company_holder", primaryFields = "holder_id,percent,amount,deleted", newlyRegister = true)
      , NgChangeExtractArgs(tableName = "company_staff", primaryFields = "staff_type,deleted", newlyRegister = true)
      , NgChangeExtractArgs(tableName = "company", primaryKey = "company_id", primaryFields = "name,cate_third_code,county_code,reg_capital_amount,legal_entity_name,legal_entity_id,reg_capital,reg_location,business_scope,reg_status_std")
      , NgChangeExtractArgs(tableName = "company_tm", primaryFields = "status")
      , NgChangeExtractArgs(tableName = "company_icp", primaryFields = "domain")
    ) ++ Seq(
      "auction_tracking"
      , "company_abnormal_info"
      , "company_court_announcement"
      , "company_court_open_announcement"
      , "company_court_register"
      , "company_env_punishment"
      , "company_illegal_info"
      , "company_own_tax"
      , "company_punishment_info"
      , "company_punishment_info_creditchina"
      , "company_send_announcement"
      , "company_tax_contravention"
      , "zxr_evaluate_results"

      , "company_check_info"
      , "company_double_random_check_info"
      , "company_finance"
      , "company_license"
      , "company_license_creditchina"
      , "company_license_entpub"


      , "bankruptcy_open_case"
      , "company_brief_cancel_announcement"
      , "company_dishonest_info"
      , "company_public_announcement"
      , "company_zxr"
      , "company_zxr_final_case"
      , "company_zxr_restrict"
      , "restrictions_on_exit"

      , "company_land_announcement"
      , "company_land_publicity"
      , "company_land_transfer"


      , "company_equity_info"
      , "company_equity_pledge_holder"
      , "company_judicial_assistance"
      , "company_land_mortgage"

      , "company_lawsuit"

      , "company_mortgage_info"
      , "company_mortgage_people"


      //intellectual
      , "company_patent"
      , "company_copyright_reg"
      , "company_copyright_works"
      , "company_certificate"

    ).map(r => NgChangeExtractArgs(tableName = r))
}
